Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

# Class WrappableTreeViewer

java.lang.Object
org.eclipse.jface.viewers.Viewer
org.eclipse.jface.viewers.ContentViewer
org.eclipse.jface.viewers.StructuredViewer
org.eclipse.jface.viewers.ColumnViewer
org.eclipse.jface.viewers.AbstractTreeViewer
org.eclipse.jface.viewers.TreeViewer
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.WrappableTreeViewer

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IInputProvider`, `org.eclipse.jface.viewers.IInputSelectionProvider`, `org.eclipse.jface.viewers.IPostSelectionProvider`, `org.eclipse.jface.viewers.ISelectionProvider`

public class WrappableTreeViewer extends org.eclipse.jface.viewers.TreeViewer

This class is not intended to be used outside of its package. It has been set to public for testing purpose only.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.viewers.StructuredViewer

`org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector, org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollectorWithProviders`

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.AbstractTreeViewer

`ALL_LEVELS, NO_EXPAND`

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

## Constructor Summary

Constructors
Constructor
Description
`WrappableTreeViewer(org.eclipse.swt.widgets.Composite parent)`
`WrappableTreeViewer(org.eclipse.swt.widgets.Composite parent, int style)`
`WrappableTreeViewer(org.eclipse.swt.widgets.Tree tree)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDoubleClickListener(org.eclipse.jface.viewers.IDoubleClickListener listener)`
`void`
`addDragSupport(int operations, org.eclipse.swt.dnd.Transfer[] transferTypes, org.eclipse.swt.dnd.DragSourceListener listener)`
`void`
`addDropSupport(int operations, org.eclipse.swt.dnd.Transfer[] transferTypes, org.eclipse.swt.dnd.DropTargetListener listener)`
`void`
`addFilter(org.eclipse.jface.viewers.ViewerFilter filter)`
`void`
`addHelpListener(org.eclipse.swt.events.HelpListener listener)`
`void`
`addOpenListener(org.eclipse.jface.viewers.IOpenListener listener)`
`void`
`addPostSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void`
`addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void`
`addSelectionListener(org.eclipse.swt.widgets.Control control, org.eclipse.swt.events.SelectionListener listener)`
Deprecated.
`void`
`addTreeListener(org.eclipse.swt.widgets.Control c, org.eclipse.swt.events.TreeListener listener)`
`void`
`applyEditorValue()`
`void`
`assertContentProviderType(org.eclipse.jface.viewers.IContentProvider provider)`
`void`
`assertElementsNotNull(Object[] elements)`
`void`
`associate(Object element, org.eclipse.swt.widgets.Item item)`
`void`
`buildLabel(org.eclipse.jface.viewers.ViewerLabel updateLabel, Object elementOrPath)`
`boolean`
`checkBusy()`
`void`
`createChildren(org.eclipse.swt.widgets.Widget widget)`
`void`
`createTreeItem(org.eclipse.swt.widgets.Widget parent, Object element, int index)`
`org.eclipse.jface.viewers.ColumnViewerEditor`
`createViewerEditor()`
`void`
`disassociate(org.eclipse.swt.widgets.Item item)`
`org.eclipse.swt.widgets.Widget`
`doFindInputItem(Object element)`
`org.eclipse.swt.widgets.Widget`
`doFindItem(Object element)`
`int`
`doGetColumnCount()`
`void`
`doUpdateItem(org.eclipse.swt.widgets.Item item, Object element)`
`void`
`doUpdateItem(org.eclipse.swt.widgets.Widget widget, Object element, boolean fullMap)`
`boolean`
`equals(Object elementA, Object elementB)`
`Object[]`
`filter(Object[] elements)`
`void`
`fireDoubleClick(org.eclipse.jface.viewers.DoubleClickEvent event)`
`void`
`fireHelpRequested(org.eclipse.swt.events.HelpEvent event)`
`void`
`fireOpen(org.eclipse.jface.viewers.OpenEvent event)`
`void`
`firePostSelectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)`
`void`
`fireSelectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)`
`void`
`fireTreeCollapsed(org.eclipse.jface.viewers.TreeExpansionEvent event)`
`void`
`fireTreeExpanded(org.eclipse.jface.viewers.TreeExpansionEvent event)`
`org.eclipse.swt.widgets.Item`
`getChild(org.eclipse.swt.widgets.Widget widget, int index)`
`org.eclipse.swt.widgets.Item[]`
`getChildren(org.eclipse.swt.widgets.Widget o)`
`org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector`
`getColorAndFontCollector()`
`org.eclipse.swt.widgets.Widget`
`getColumnViewerOwner(int columnIndex)`
`org.eclipse.jface.viewers.ViewerComparator`
`getComparator()`
`org.eclipse.jface.viewers.IElementComparer`
`getComparer()`
`org.eclipse.jface.viewers.IContentProvider`
`getContentProvider()`
`org.eclipse.swt.widgets.Control`
`getControl()`
`Object`
`getData(String key)`
`boolean`
`getExpanded(org.eclipse.swt.widgets.Item item)`
`Object[]`
`getFilteredChildren(Object parent)`
`org.eclipse.jface.viewers.ViewerFilter[]`
`getFilters()`
`Object`
`getInput()`
`org.eclipse.swt.widgets.Item`
`getItem(int x, int y)`
`org.eclipse.swt.widgets.Item`
`getItemAt(org.eclipse.swt.graphics.Point p)`
`int`
`getItemCount(org.eclipse.swt.widgets.Control widget)`
`int`
`getItemCount(org.eclipse.swt.widgets.Item item)`
`org.eclipse.swt.widgets.Item[]`
`getItems(org.eclipse.swt.widgets.Item item)`
`org.eclipse.jface.viewers.IBaseLabelProvider`
`getLabelProvider()`
`org.eclipse.swt.widgets.Item`
`getNextItem(org.eclipse.swt.widgets.Item item, boolean includeChildren)`
`Object`
`getParentElement(Object element)`
`org.eclipse.swt.widgets.Item`
`getParentItem(org.eclipse.swt.widgets.Item item)`
`org.eclipse.swt.widgets.Item`
`getPreviousItem(org.eclipse.swt.widgets.Item item)`
`Object[]`
`getRawChildren(Object parent)`
`Object`
`getRoot()`
`org.eclipse.jface.viewers.ISelection`
`getSelection()`
`org.eclipse.swt.widgets.Item[]`
`getSelection(org.eclipse.swt.widgets.Control widget)`
`List`
`getSelectionFromWidget()`
`Object[]`
`getSortedChildren(Object parentElementOrTreePath)`
`org.eclipse.jface.viewers.ViewerSorter`
`getSorter()`
`org.eclipse.jface.viewers.TreePath`
`getTreePathFromItem(org.eclipse.swt.widgets.Item item)`
`org.eclipse.jface.viewers.ViewerRow`
`getViewerRow(org.eclipse.swt.graphics.Point point)`
`org.eclipse.jface.viewers.ViewerRow`
`getViewerRowFromItem(org.eclipse.swt.widgets.Widget item)`
`void`
`handleDispose(org.eclipse.swt.events.DisposeEvent event)`
`void`
`handleDoubleSelect(org.eclipse.swt.events.SelectionEvent event)`
`void`
`handleHelpRequest(org.eclipse.swt.events.HelpEvent event)`
`void`
`handleInvalidSelection(org.eclipse.jface.viewers.ISelection invalidSelection, org.eclipse.jface.viewers.ISelection newSelection)`
`void`
`handleLabelProviderChanged(org.eclipse.jface.viewers.LabelProviderChangedEvent event)`
`void`
`handleOpen(org.eclipse.swt.events.SelectionEvent event)`
`void`
`handlePostSelect(org.eclipse.swt.events.SelectionEvent e)`
`void`
`handleSelect(org.eclipse.swt.events.SelectionEvent event)`
`void`
`handleTreeCollapse(org.eclipse.swt.events.TreeEvent event)`
`void`
`handleTreeExpand(org.eclipse.swt.events.TreeEvent event)`
`boolean`
`hasFilters()`
`void`
`hookControl(org.eclipse.swt.widgets.Control control)`
`void`
`hookEditingSupport(org.eclipse.swt.widgets.Control control)`
`int`
`indexForElement(org.eclipse.swt.widgets.Widget parent, Object element)`
`void`
`inputChanged(Object input, Object oldInput)`
`void`
`internalAdd(org.eclipse.swt.widgets.Widget widget, Object parentElement, Object[] childElements)`
`void`
`internalCollapseToLevel(org.eclipse.swt.widgets.Widget widget, int level)`
`org.eclipse.swt.widgets.Widget`
`internalExpand(Object elementOrPath, boolean expand)`
`void`
`internalExpandToLevel(org.eclipse.swt.widgets.Widget widget, int level)`
`org.eclipse.swt.widgets.Widget`
`internalGetWidgetToSelect(Object elementOrTreePath)`
`void`
`internalInitializeTree(org.eclipse.swt.widgets.Control widget)`
`void`
`internalRefresh(Object element)`
`void`
`internalRefresh(Object element, boolean updateLabels)`
`void`
`internalRefresh(org.eclipse.swt.widgets.Widget widget, Object element, boolean doStruct, boolean updateLabels)`
`void`
`internalRefreshStruct(org.eclipse.swt.widgets.Widget widget, Object element, boolean updateLabels)`
`void`
`internalRemove(Object[] elementsOrPaths)`
`void`
`internalRemove(Object parent, Object[] elements)`
`void`
`internalUpdate(org.eclipse.swt.widgets.Widget widget, Object element, String[] properties)`
`boolean`
`isSameSelection(List items, org.eclipse.swt.widgets.Item[] current)`
`void`
`labelProviderChanged()`
`void`
`mapElement(Object element, org.eclipse.swt.widgets.Widget item)`
`boolean`
`needsRefilter(Object element, String property)`
`org.eclipse.swt.widgets.Item`
`newItem(org.eclipse.swt.widgets.Widget parent, int flags, int ix)`
`void`
`preservingSelection(Runnable updateCode)`
`void`
`refresh()`
`void`
`refresh(boolean updateLabels)`
`void`
`refresh(Object element)`
`void`
`refresh(Object element, boolean updateLabels)`
`void`
`removeAll(org.eclipse.swt.widgets.Control widget)`
`void`
`removeDoubleClickListener(org.eclipse.jface.viewers.IDoubleClickListener listener)`
`void`
`removeFilter(org.eclipse.jface.viewers.ViewerFilter filter)`
`void`
`removeHelpListener(org.eclipse.swt.events.HelpListener listener)`
`void`
`removeOpenListener(org.eclipse.jface.viewers.IOpenListener listener)`
`void`
`removePostSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void`
`removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void`
`resetFilters()`
`void`
`reveal(Object element)`
`org.eclipse.swt.widgets.Item`
`scrollDown(int x, int y)`
`org.eclipse.swt.widgets.Item`
`scrollUp(int x, int y)`
`void`
`setBusy(boolean busy)`
`void`
`setComparator(org.eclipse.jface.viewers.ViewerComparator comparator)`
`void`
`setComparer(org.eclipse.jface.viewers.IElementComparer comparer)`
`void`
`setContentProvider(org.eclipse.jface.viewers.IContentProvider provider)`
`void`
`setData(String key, Object value)`
`void`
`setExpanded(org.eclipse.swt.widgets.Item node, boolean expand)`
`void`
`setFilters(org.eclipse.jface.viewers.ViewerFilter[] filters)`
`void`
`setLabelProvider(org.eclipse.jface.viewers.IBaseLabelProvider labelProvider)`
`void`
`setSelection(List items)`
`void`
`setSelection(org.eclipse.jface.viewers.ISelection selection)`
`void`
`setSelection(org.eclipse.jface.viewers.ISelection selection, boolean reveal)`
`void`
`setSelectionToWidget(List v, boolean reveal)`
`void`
`setSelectionToWidget(org.eclipse.jface.viewers.ISelection selection, boolean reveal)`
`void`
`setSorter(org.eclipse.jface.viewers.ViewerSorter sorter)`
`void`
`setUseHashlookup(boolean enable)`
`void`
`showItem(org.eclipse.swt.widgets.Item item)`
`org.eclipse.swt.widgets.Widget`
`testFindItem(Object element)`
`org.eclipse.swt.widgets.Widget[]`
`testFindItems(Object element)`
`void`
`triggerEditorActivationEvent(org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent event)`
`void`
`unmapAllElements()`
`void`
`unmapElement(Object element)`
`void`
`unmapElement(Object element, org.eclipse.swt.widgets.Widget item)`
`void`
`update(Object[] elements, String[] properties)`
`void`
`update(Object element, String[] properties)`
`void`
`updateChildren(org.eclipse.swt.widgets.Widget widget, Object parent, Object[] elementChildren)`
Deprecated.
`void`
`updatePlus(org.eclipse.swt.widgets.Item item, Object element)`
`void`
`updateSelection(org.eclipse.jface.viewers.ISelection selection)`
`boolean`
`usingElementMap()`

### Methods inherited from class org.eclipse.jface.viewers.TreeViewer

`editElement, getControl, getLabelProvider, getTree, isExpandable, remove, replace, setChildCount, setContentProvider, setHasChildren, setSelection`

### Methods inherited from class org.eclipse.jface.viewers.AbstractTreeViewer

`add, add, addTreeListener, collapseAll, collapseToLevel, contains, expandAll, expandAll, expandToLevel, expandToLevel, expandToLevel, expandToLevel, getAutoExpandLevel, getAutoExpandOnSingleChildLevels, getChildren, getExpandedElements, getExpandedState, getExpandedTreePaths, getSelection, getStructuredSelection, getVisibleExpandedElements, insert, internalFindItems, internalIsInputOrEmptyPath, remove, remove, remove, removeTreeListener, reveal, scrollDown, scrollUp, setAutoExpandLevel, setAutoExpandOnSingleChildLevels, setExpandedElements, setExpandedState, setExpandedStateWithAutoExpandOnSingleChild, setExpandedTreePaths, setExpandPreCheckFilters`

### Methods inherited from class org.eclipse.jface.viewers.ColumnViewer

`cancelEditing, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, isExpandableNode, refresh, refresh, setCellEditors, setCellModifier, setColumnProperties, setColumnViewerEditor, setDisplayIncrementally, setLabelProvider, update`

### Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, findItem, findItems, getComparator, getComparer, getFilters, getSorter, refresh, refresh, refreshItem, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update, updateItem`

### Methods inherited from class org.eclipse.jface.viewers.ContentViewer

`getContentProvider, getInput`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

## Constructor Details

### WrappableTreeViewer

public WrappableTreeViewer(org.eclipse.swt.widgets.Composite parent, int style)

Parameters:
  `parent` -
  `style` -

### WrappableTreeViewer

public WrappableTreeViewer(org.eclipse.swt.widgets.Composite parent)

Parameters:
  `parent` -

### WrappableTreeViewer

public WrappableTreeViewer(org.eclipse.swt.widgets.Tree tree)

Parameters:
  `tree` -

## Method Details

### addTreeListener

public void addTreeListener(org.eclipse.swt.widgets.Control c, org.eclipse.swt.events.TreeListener listener)

Overrides:
  `addTreeListener` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.addTreeListener(org.eclipse.swt.widgets.Control, org.eclipse.swt.events.TreeListener)`

### getColumnViewerOwner

public org.eclipse.swt.widgets.Widget getColumnViewerOwner(int columnIndex)

Overrides:
  `getColumnViewerOwner` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getColumnViewerOwner(int)`

### getChildren

public org.eclipse.swt.widgets.Item[] getChildren(org.eclipse.swt.widgets.Widget o)

Overrides:
  `getChildren` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getChildren(org.eclipse.swt.widgets.Widget)`

### getExpanded

public boolean getExpanded(org.eclipse.swt.widgets.Item item)

Overrides:
  `getExpanded` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getExpanded(org.eclipse.swt.widgets.Item)`

### getItemAt

public org.eclipse.swt.widgets.Item getItemAt(org.eclipse.swt.graphics.Point p)

Overrides:
  `getItemAt` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getItemAt(org.eclipse.swt.graphics.Point)`

### getItemCount

public int getItemCount(org.eclipse.swt.widgets.Control widget)

Overrides:
  `getItemCount` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getItemCount(org.eclipse.swt.widgets.Control)`

### getItemCount

public int getItemCount(org.eclipse.swt.widgets.Item item)

Overrides:
  `getItemCount` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getItemCount(org.eclipse.swt.widgets.Item)`

### getItems

public org.eclipse.swt.widgets.Item[] getItems(org.eclipse.swt.widgets.Item item)

Overrides:
  `getItems` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getItems(org.eclipse.swt.widgets.Item)`

### getParentItem

public org.eclipse.swt.widgets.Item getParentItem(org.eclipse.swt.widgets.Item item)

Overrides:
  `getParentItem` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getParentItem(org.eclipse.swt.widgets.Item)`

### getSelection

public org.eclipse.swt.widgets.Item[] getSelection(org.eclipse.swt.widgets.Control widget)

Overrides:
  `getSelection` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getSelection(org.eclipse.swt.widgets.Control)`

### hookControl

public void hookControl(org.eclipse.swt.widgets.Control control)

Overrides:
  `hookControl` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.hookControl(org.eclipse.swt.widgets.Control)`

### createViewerEditor

public org.eclipse.jface.viewers.ColumnViewerEditor createViewerEditor()

Overrides:
  `createViewerEditor` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.createViewerEditor()`

### newItem

public org.eclipse.swt.widgets.Item newItem(org.eclipse.swt.widgets.Widget parent, int flags, int ix)

Overrides:
  `newItem` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.newItem(org.eclipse.swt.widgets.Widget, int, int)`

### removeAll

public void removeAll(org.eclipse.swt.widgets.Control widget)

Overrides:
  `removeAll` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.removeAll(org.eclipse.swt.widgets.Control)`

### setExpanded

public void setExpanded(org.eclipse.swt.widgets.Item node, boolean expand)

Overrides:
  `setExpanded` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.setExpanded(org.eclipse.swt.widgets.Item, boolean)`

### setSelection

public void setSelection(List items)

Overrides:
  `setSelection` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.setSelection(java.util.List)`

### showItem

public void showItem(org.eclipse.swt.widgets.Item item)

Overrides:
  `showItem` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.showItem(org.eclipse.swt.widgets.Item)`

### getChild

public org.eclipse.swt.widgets.Item getChild(org.eclipse.swt.widgets.Widget widget, int index)

Overrides:
  `getChild` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getChild(org.eclipse.swt.widgets.Widget, int)`

### assertContentProviderType

public void assertContentProviderType(org.eclipse.jface.viewers.IContentProvider provider)

Overrides:
  `assertContentProviderType` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.assertContentProviderType(org.eclipse.jface.viewers.IContentProvider)`

### getRawChildren

public Object[] getRawChildren(Object parent)

Overrides:
  `getRawChildren` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getRawChildren(java.lang.Object)`

### getParentElement

public Object getParentElement(Object element)

Overrides:
  `getParentElement` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getParentElement(java.lang.Object)`

### internalAdd

public void internalAdd(org.eclipse.swt.widgets.Widget widget, Object parentElement, Object[] childElements)

Overrides:
  `internalAdd` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.internalAdd(org.eclipse.swt.widgets.Widget, java.lang.Object, java.lang.Object[])`

### internalRefreshStruct

public void internalRefreshStruct(org.eclipse.swt.widgets.Widget widget, Object element, boolean updateLabels)

Overrides:
  `internalRefreshStruct` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.internalRefreshStruct(org.eclipse.swt.widgets.Widget, java.lang.Object, boolean)`

### mapElement

public void mapElement(Object element, org.eclipse.swt.widgets.Widget item)

Overrides:
  `mapElement` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.mapElement(java.lang.Object, org.eclipse.swt.widgets.Widget)`

### getViewerRowFromItem

public org.eclipse.jface.viewers.ViewerRow getViewerRowFromItem(org.eclipse.swt.widgets.Widget item)

Overrides:
  `getViewerRowFromItem` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.getViewerRowFromItem(org.eclipse.swt.widgets.Widget)`

### internalInitializeTree

public void internalInitializeTree(org.eclipse.swt.widgets.Control widget)

Overrides:
  `internalInitializeTree` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.internalInitializeTree(org.eclipse.swt.widgets.Control)`

### updatePlus

public void updatePlus(org.eclipse.swt.widgets.Item item, Object element)

Overrides:
  `updatePlus` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.updatePlus(org.eclipse.swt.widgets.Item, java.lang.Object)`

### handleTreeExpand

public void handleTreeExpand(org.eclipse.swt.events.TreeEvent event)

Overrides:
  `handleTreeExpand` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.handleTreeExpand(org.eclipse.swt.events.TreeEvent)`

### handleTreeCollapse

public void handleTreeCollapse(org.eclipse.swt.events.TreeEvent event)

Overrides:
  `handleTreeCollapse` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.handleTreeCollapse(org.eclipse.swt.events.TreeEvent)`

### disassociate

public void disassociate(org.eclipse.swt.widgets.Item item)

Overrides:
  `disassociate` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.disassociate(org.eclipse.swt.widgets.Item)`

### doGetColumnCount

public int doGetColumnCount()

Overrides:
  `doGetColumnCount` in class `org.eclipse.jface.viewers.TreeViewer`
See Also:
  - `TreeViewer.doGetColumnCount()`

### indexForElement

public int indexForElement(org.eclipse.swt.widgets.Widget parent, Object element)

Overrides:
  `indexForElement` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.indexForElement(org.eclipse.swt.widgets.Widget, java.lang.Object)`

### getSortedChildren

public Object[] getSortedChildren(Object parentElementOrTreePath)

Overrides:
  `getSortedChildren` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.getSortedChildren(java.lang.Object)`

### addSelectionListener

@Deprecated public void addSelectionListener(org.eclipse.swt.widgets.Control control, org.eclipse.swt.events.SelectionListener listener)
Deprecated.

Overrides:
  `addSelectionListener` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.addSelectionListener(org.eclipse.swt.widgets.Control, org.eclipse.swt.events.SelectionListener)`

### associate

public void associate(Object element, org.eclipse.swt.widgets.Item item)

Overrides:
  `associate` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.associate(java.lang.Object, org.eclipse.swt.widgets.Item)`

### createChildren

public void createChildren(org.eclipse.swt.widgets.Widget widget)

Overrides:
  `createChildren` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.createChildren(org.eclipse.swt.widgets.Widget)`

### createTreeItem

public void createTreeItem(org.eclipse.swt.widgets.Widget parent, Object element, int index)

Overrides:
  `createTreeItem` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.createTreeItem(org.eclipse.swt.widgets.Widget, java.lang.Object, int)`

### doFindInputItem

public org.eclipse.swt.widgets.Widget doFindInputItem(Object element)

Overrides:
  `doFindInputItem` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.doFindInputItem(java.lang.Object)`

### doFindItem

public org.eclipse.swt.widgets.Widget doFindItem(Object element)

Overrides:
  `doFindItem` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.doFindItem(java.lang.Object)`

### doUpdateItem

public void doUpdateItem(org.eclipse.swt.widgets.Item item, Object element)

Overrides:
  `doUpdateItem` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.doUpdateItem(org.eclipse.swt.widgets.Item, java.lang.Object)`

### isSameSelection

public boolean isSameSelection(List items, org.eclipse.swt.widgets.Item[] current)

Overrides:
  `isSameSelection` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.isSameSelection(java.util.List, org.eclipse.swt.widgets.Item[])`

### doUpdateItem

public void doUpdateItem(org.eclipse.swt.widgets.Widget widget, Object element, boolean fullMap)

Overrides:
  `doUpdateItem` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.doUpdateItem(org.eclipse.swt.widgets.Widget, java.lang.Object, boolean)`

### fireTreeCollapsed

public void fireTreeCollapsed(org.eclipse.jface.viewers.TreeExpansionEvent event)

Overrides:
  `fireTreeCollapsed` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.fireTreeCollapsed(org.eclipse.jface.viewers.TreeExpansionEvent)`

### fireTreeExpanded

public void fireTreeExpanded(org.eclipse.jface.viewers.TreeExpansionEvent event)

Overrides:
  `fireTreeExpanded` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.fireTreeExpanded(org.eclipse.jface.viewers.TreeExpansionEvent)`

### getNextItem

public org.eclipse.swt.widgets.Item getNextItem(org.eclipse.swt.widgets.Item item, boolean includeChildren)

Overrides:
  `getNextItem` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.getNextItem(org.eclipse.swt.widgets.Item, boolean)`

### getPreviousItem

public org.eclipse.swt.widgets.Item getPreviousItem(org.eclipse.swt.widgets.Item item)

Overrides:
  `getPreviousItem` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.getPreviousItem(org.eclipse.swt.widgets.Item)`

### getSelectionFromWidget

public List getSelectionFromWidget()

Overrides:
  `getSelectionFromWidget` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.getSelectionFromWidget()`

### handleDoubleSelect

public void handleDoubleSelect(org.eclipse.swt.events.SelectionEvent event)

Overrides:
  `handleDoubleSelect` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.handleDoubleSelect(org.eclipse.swt.events.SelectionEvent)`

### inputChanged

public void inputChanged(Object input, Object oldInput)

Overrides:
  `inputChanged` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.inputChanged(java.lang.Object, java.lang.Object)`

### internalCollapseToLevel

public void internalCollapseToLevel(org.eclipse.swt.widgets.Widget widget, int level)

Overrides:
  `internalCollapseToLevel` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.internalCollapseToLevel(org.eclipse.swt.widgets.Widget, int)`

### internalExpand

public org.eclipse.swt.widgets.Widget internalExpand(Object elementOrPath, boolean expand)

Overrides:
  `internalExpand` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.internalExpand(java.lang.Object, boolean)`

### internalGetWidgetToSelect

public org.eclipse.swt.widgets.Widget internalGetWidgetToSelect(Object elementOrTreePath)

Overrides:
  `internalGetWidgetToSelect` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.internalGetWidgetToSelect(java.lang.Object)`

### internalExpandToLevel

public void internalExpandToLevel(org.eclipse.swt.widgets.Widget widget, int level)

Overrides:
  `internalExpandToLevel` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.internalExpandToLevel(org.eclipse.swt.widgets.Widget, int)`

### internalRefresh

public void internalRefresh(Object element)

Overrides:
  `internalRefresh` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.internalRefresh(java.lang.Object)`

### internalRefresh

public void internalRefresh(Object element, boolean updateLabels)

Overrides:
  `internalRefresh` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.internalRefresh(java.lang.Object, boolean)`

### internalRefresh

public void internalRefresh(org.eclipse.swt.widgets.Widget widget, Object element, boolean doStruct, boolean updateLabels)

Overrides:
  `internalRefresh` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.internalRefresh(org.eclipse.swt.widgets.Widget, java.lang.Object, boolean, boolean)`

### internalRemove

public void internalRemove(Object[] elementsOrPaths)

Overrides:
  `internalRemove` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.internalRemove(java.lang.Object[])`

### internalRemove

public void internalRemove(Object parent, Object[] elements)

Overrides:
  `internalRemove` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.internalRemove(java.lang.Object, java.lang.Object[])`

### labelProviderChanged

public void labelProviderChanged()

Overrides:
  `labelProviderChanged` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.labelProviderChanged()`

### setSelectionToWidget

public void setSelectionToWidget(List v, boolean reveal)

Overrides:
  `setSelectionToWidget` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.setSelectionToWidget(java.util.List, boolean)`

### updateChildren

@Deprecated public void updateChildren(org.eclipse.swt.widgets.Widget widget, Object parent, Object[] elementChildren)
Deprecated.

Overrides:
  `updateChildren` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.updateChildren(org.eclipse.swt.widgets.Widget, java.lang.Object, java.lang.Object[])`

### getTreePathFromItem

public org.eclipse.jface.viewers.TreePath getTreePathFromItem(org.eclipse.swt.widgets.Item item)

Overrides:
  `getTreePathFromItem` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.getTreePathFromItem(org.eclipse.swt.widgets.Item)`

### setSelectionToWidget

public void setSelectionToWidget(org.eclipse.jface.viewers.ISelection selection, boolean reveal)

Overrides:
  `setSelectionToWidget` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.setSelectionToWidget(org.eclipse.jface.viewers.ISelection, boolean)`

### buildLabel

public void buildLabel(org.eclipse.jface.viewers.ViewerLabel updateLabel, Object elementOrPath)

Overrides:
  `buildLabel` in class `org.eclipse.jface.viewers.AbstractTreeViewer`
See Also:
  - `AbstractTreeViewer.buildLabel(org.eclipse.jface.viewers.ViewerLabel, java.lang.Object)`

### hookEditingSupport

public void hookEditingSupport(org.eclipse.swt.widgets.Control control)

Overrides:
  `hookEditingSupport` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `ColumnViewer.hookEditingSupport(org.eclipse.swt.widgets.Control)`

### getViewerRow

public org.eclipse.jface.viewers.ViewerRow getViewerRow(org.eclipse.swt.graphics.Point point)

Overrides:
  `getViewerRow` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `ColumnViewer.getViewerRow(org.eclipse.swt.graphics.Point)`

### getItem

public org.eclipse.swt.widgets.Item getItem(int x, int y)

Overrides:
  `getItem` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `ColumnViewer.getItem(int, int)`

### applyEditorValue

public void applyEditorValue()

Overrides:
  `applyEditorValue` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `ColumnViewer.applyEditorValue()`

### handleDispose

public void handleDispose(org.eclipse.swt.events.DisposeEvent event)

Overrides:
  `handleDispose` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `ColumnViewer.handleDispose(org.eclipse.swt.events.DisposeEvent)`

### triggerEditorActivationEvent

public void triggerEditorActivationEvent(org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent event)

Overrides:
  `triggerEditorActivationEvent` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `ColumnViewer.triggerEditorActivationEvent(org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent)`

### checkBusy

public boolean checkBusy()

Overrides:
  `checkBusy` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `ColumnViewer.checkBusy()`

### setBusy

public void setBusy(boolean busy)

Overrides:
  `setBusy` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `ColumnViewer.setBusy(boolean)`

### assertElementsNotNull

public void assertElementsNotNull(Object[] elements)

Overrides:
  `assertElementsNotNull` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.assertElementsNotNull(java.lang.Object[])`

### equals

public boolean equals(Object elementA, Object elementB)

Overrides:
  `equals` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.equals(java.lang.Object, java.lang.Object)`

### filter

public Object[] filter(Object[] elements)

Overrides:
  `filter` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.filter(java.lang.Object[])`

### fireDoubleClick

public void fireDoubleClick(org.eclipse.jface.viewers.DoubleClickEvent event)

Overrides:
  `fireDoubleClick` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.fireDoubleClick(org.eclipse.jface.viewers.DoubleClickEvent)`

### fireOpen

public void fireOpen(org.eclipse.jface.viewers.OpenEvent event)

Overrides:
  `fireOpen` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.fireOpen(org.eclipse.jface.viewers.OpenEvent)`

### firePostSelectionChanged

public void firePostSelectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

Overrides:
  `firePostSelectionChanged` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `StructuredViewer.firePostSelectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent)`

### getFilteredChildren

public Object[] getFilteredChildren(Object parent)

Overrides:
  `getFilteredChildren` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.getFilteredChildren(java.lang.Object)`

### getRoot

public Object getRoot()

Overrides:
  `getRoot` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.getRoot()`

### handleOpen

public void handleOpen(org.eclipse.swt.events.SelectionEvent event)

Overrides:
  `handleOpen` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.handleOpen(org.eclipse.swt.events.SelectionEvent)`

### handleInvalidSelection

public void handleInvalidSelection(org.eclipse.jface.viewers.ISelection invalidSelection, org.eclipse.jface.viewers.ISelection newSelection)

Overrides:
  `handleInvalidSelection` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.handleInvalidSelection(org.eclipse.jface.viewers.ISelection, org.eclipse.jface.viewers.ISelection)`

### handleLabelProviderChanged

public void handleLabelProviderChanged(org.eclipse.jface.viewers.LabelProviderChangedEvent event)

Overrides:
  `handleLabelProviderChanged` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.handleLabelProviderChanged(org.eclipse.jface.viewers.LabelProviderChangedEvent)`

### handleSelect

public void handleSelect(org.eclipse.swt.events.SelectionEvent event)

Overrides:
  `handleSelect` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.handleSelect(org.eclipse.swt.events.SelectionEvent)`

### handlePostSelect

public void handlePostSelect(org.eclipse.swt.events.SelectionEvent e)

Overrides:
  `handlePostSelect` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.handlePostSelect(org.eclipse.swt.events.SelectionEvent)`

### hasFilters

public boolean hasFilters()

Overrides:
  `hasFilters` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.hasFilters()`

### needsRefilter

public boolean needsRefilter(Object element, String property)

Overrides:
  `needsRefilter` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.needsRefilter(java.lang.Object, java.lang.String)`

### preservingSelection

public void preservingSelection(Runnable updateCode)

Overrides:
  `preservingSelection` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.preservingSelection(java.lang.Runnable)`

### unmapAllElements

public void unmapAllElements()

Overrides:
  `unmapAllElements` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `StructuredViewer.unmapAllElements()`

### unmapElement

public void unmapElement(Object element)

Overrides:
  `unmapElement` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.unmapElement(java.lang.Object)`

### unmapElement

public void unmapElement(Object element, org.eclipse.swt.widgets.Widget item)

Overrides:
  `unmapElement` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.unmapElement(java.lang.Object, org.eclipse.swt.widgets.Widget)`

### internalUpdate

public void internalUpdate(org.eclipse.swt.widgets.Widget widget, Object element, String[] properties)

Overrides:
  `internalUpdate` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.internalUpdate(org.eclipse.swt.widgets.Widget, java.lang.Object, java.lang.String[])`

### updateSelection

public void updateSelection(org.eclipse.jface.viewers.ISelection selection)

Overrides:
  `updateSelection` in class `org.eclipse.jface.viewers.ColumnViewer`
See Also:
  - `StructuredViewer.updateSelection(org.eclipse.jface.viewers.ISelection)`

### usingElementMap

public boolean usingElementMap()

Overrides:
  `usingElementMap` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.usingElementMap()`

### getColorAndFontCollector

public org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector getColorAndFontCollector()

Overrides:
  `getColorAndFontCollector` in class `org.eclipse.jface.viewers.StructuredViewer`
See Also:
  - `StructuredViewer.getColorAndFontCollector()`

### fireHelpRequested

public void fireHelpRequested(org.eclipse.swt.events.HelpEvent event)

Overrides:
  `fireHelpRequested` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  - `Viewer.fireHelpRequested(org.eclipse.swt.events.HelpEvent)`

### fireSelectionChanged

public void fireSelectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

Overrides:
  `fireSelectionChanged` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  - `Viewer.fireSelectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent)`

### handleHelpRequest

public void handleHelpRequest(org.eclipse.swt.events.HelpEvent event)

Overrides:
  `handleHelpRequest` in class `org.eclipse.jface.viewers.Viewer`
See Also:
  - `Viewer.handleHelpRequest(org.eclipse.swt.events.HelpEvent)`

### addDoubleClickListener

void addDoubleClickListener(org.eclipse.jface.viewers.IDoubleClickListener listener)

See Also:
  - `StructuredViewer.addDoubleClickListener(org.eclipse.jface.viewers.IDoubleClickListener)`

### addOpenListener

void addOpenListener(org.eclipse.jface.viewers.IOpenListener listener)

See Also:
  - `StructuredViewer.addOpenListener(org.eclipse.jface.viewers.IOpenListener)`

### addPostSelectionChangedListener

void addPostSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

See Also:
  - `StructuredViewer.addPostSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

### addDragSupport

void addDragSupport(int operations, org.eclipse.swt.dnd.Transfer[] transferTypes, org.eclipse.swt.dnd.DragSourceListener listener)

See Also:
  - `StructuredViewer.addDragSupport(int, org.eclipse.swt.dnd.Transfer[], org.eclipse.swt.dnd.DragSourceListener)`

### addDropSupport

void addDropSupport(int operations, org.eclipse.swt.dnd.Transfer[] transferTypes, org.eclipse.swt.dnd.DropTargetListener listener)

See Also:
  - `StructuredViewer.addDropSupport(int, org.eclipse.swt.dnd.Transfer[], org.eclipse.swt.dnd.DropTargetListener)`

### addFilter

void addFilter(org.eclipse.jface.viewers.ViewerFilter filter)

See Also:
  - `StructuredViewer.addFilter(org.eclipse.jface.viewers.ViewerFilter)`

### getComparer

org.eclipse.jface.viewers.IElementComparer getComparer()

See Also:
  - `StructuredViewer.getComparer()`

### getFilters

org.eclipse.jface.viewers.ViewerFilter[] getFilters()

See Also:
  - `StructuredViewer.getFilters()`

### getSelection

org.eclipse.jface.viewers.ISelection getSelection()

See Also:
  - `StructuredViewer.getSelection()`

### getSorter

org.eclipse.jface.viewers.ViewerSorter getSorter()

See Also:
  - `StructuredViewer.getSorter()`

### getComparator

org.eclipse.jface.viewers.ViewerComparator getComparator()

See Also:
  - `StructuredViewer.getComparator()`

### refresh

void refresh()

See Also:
  - `StructuredViewer.refresh()`

### refresh

void refresh(boolean updateLabels)

See Also:
  - `StructuredViewer.refresh(boolean)`

### refresh

void refresh(Object element)

See Also:
  - `StructuredViewer.refresh(java.lang.Object)`

### refresh

void refresh(Object element, boolean updateLabels)

See Also:
  - `StructuredViewer.refresh(java.lang.Object, boolean)`

### removeOpenListener

void removeOpenListener(org.eclipse.jface.viewers.IOpenListener listener)

See Also:
  - `StructuredViewer.removeOpenListener(org.eclipse.jface.viewers.IOpenListener)`

### removePostSelectionChangedListener

void removePostSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

See Also:
  - `StructuredViewer.removePostSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

### removeDoubleClickListener

void removeDoubleClickListener(org.eclipse.jface.viewers.IDoubleClickListener listener)

See Also:
  - `StructuredViewer.removeDoubleClickListener(org.eclipse.jface.viewers.IDoubleClickListener)`

### removeFilter

void removeFilter(org.eclipse.jface.viewers.ViewerFilter filter)

See Also:
  - `StructuredViewer.removeFilter(org.eclipse.jface.viewers.ViewerFilter)`

### setFilters

void setFilters(org.eclipse.jface.viewers.ViewerFilter[] filters)

See Also:
  - `StructuredViewer.setFilters(org.eclipse.jface.viewers.ViewerFilter[])`

### resetFilters

void resetFilters()

See Also:
  - `StructuredViewer.resetFilters()`

### reveal

void reveal(Object element)

See Also:
  - `StructuredViewer.reveal(java.lang.Object)`

### setContentProvider

void setContentProvider(org.eclipse.jface.viewers.IContentProvider provider)

See Also:
  - `StructuredViewer.setContentProvider(org.eclipse.jface.viewers.IContentProvider)`

### setSelection

void setSelection(org.eclipse.jface.viewers.ISelection selection, boolean reveal)

See Also:
  - `StructuredViewer.setSelection(org.eclipse.jface.viewers.ISelection, boolean)`

### setSorter

void setSorter(org.eclipse.jface.viewers.ViewerSorter sorter)

See Also:
  - `StructuredViewer.setSorter(org.eclipse.jface.viewers.ViewerSorter)`

### setComparator

void setComparator(org.eclipse.jface.viewers.ViewerComparator comparator)

See Also:
  - `StructuredViewer.setComparator(org.eclipse.jface.viewers.ViewerComparator)`

### setUseHashlookup

void setUseHashlookup(boolean enable)

See Also:
  - `StructuredViewer.setUseHashlookup(boolean)`

### setComparer

void setComparer(org.eclipse.jface.viewers.IElementComparer comparer)

See Also:
  - `StructuredViewer.setComparer(org.eclipse.jface.viewers.IElementComparer)`

### testFindItem

org.eclipse.swt.widgets.Widget testFindItem(Object element)

See Also:
  - `StructuredViewer.testFindItem(java.lang.Object)`

### testFindItems

org.eclipse.swt.widgets.Widget[] testFindItems(Object element)

See Also:
  - `StructuredViewer.testFindItems(java.lang.Object)`

### update

void update(Object[] elements, String[] properties)

See Also:
  - `StructuredViewer.update(java.lang.Object[], java.lang.String[])`

### update

void update(Object element, String[] properties)

See Also:
  - `StructuredViewer.update(java.lang.Object, java.lang.String[])`

### setLabelProvider

void setLabelProvider(org.eclipse.jface.viewers.IBaseLabelProvider labelProvider)

See Also:
  - `StructuredViewer.setLabelProvider(org.eclipse.jface.viewers.IBaseLabelProvider)`

### getContentProvider

org.eclipse.jface.viewers.IContentProvider getContentProvider()

See Also:
  - `ContentViewer.getContentProvider()`

### getInput

Object getInput()

See Also:
  - `ContentViewer.getInput()`

### getLabelProvider

org.eclipse.jface.viewers.IBaseLabelProvider getLabelProvider()

See Also:
  - `ContentViewer.getLabelProvider()`

### addHelpListener

void addHelpListener(org.eclipse.swt.events.HelpListener listener)

See Also:
  - `Viewer.addHelpListener(org.eclipse.swt.events.HelpListener)`

### addSelectionChangedListener

void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

See Also:
  - `Viewer.addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

### getControl

org.eclipse.swt.widgets.Control getControl()

See Also:
  - `Viewer.getControl()`

### getData

Object getData(String key)

See Also:
  - `Viewer.getData(java.lang.String)`

### removeHelpListener

void removeHelpListener(org.eclipse.swt.events.HelpListener listener)

See Also:
  - `Viewer.removeHelpListener(org.eclipse.swt.events.HelpListener)`

### removeSelectionChangedListener

void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

See Also:
  - `Viewer.removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

### scrollDown

org.eclipse.swt.widgets.Item scrollDown(int x, int y)

See Also:
  - `Viewer.scrollDown(int, int)`

### scrollUp

org.eclipse.swt.widgets.Item scrollUp(int x, int y)

See Also:
  - `Viewer.scrollUp(int, int)`

### setData

void setData(String key, Object value)

See Also:
  - `Viewer.setData(java.lang.String, java.lang.Object)`

### setSelection

void setSelection(org.eclipse.jface.viewers.ISelection selection)

See Also:
  - `Viewer.setSelection(org.eclipse.jface.viewers.ISelection)`